Page MenuHomePhabricator

[Bug] Recent changes pages doesn't have anymore the interlingual wikilinks on the sidebar on some projects
Closed, DuplicatePublic

Event Timeline

Andyrom75 raised the priority of this task from to Normal.
Andyrom75 updated the task description. (Show Details)
Andyrom75 added a subscriber: Andyrom75.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2015, 10:11 PM

No language links from Q6293548 are shown anymore on Special:Recentchanges page, on any project.

Note that on some particular projects (ca.source for example), some interwiki links are shown, but they are actually coming from the local MediaWiki:Recentchangestext page and not from Q6293548 like it should be.

This was also discussed on WD:DEV:
https://www.wikidata.org/w/index.php?title=Wikidata:Contact_the_development_team&oldid=222743018#sitelinks_not_being_shown_on_Special:Recentchanges

Candalua, thanks for highlighting it, I haven't checked MediaWiki:Recentchangestext in the above three mentioned examples. In this case, all the pages do not consider Wikidata anymore.

aude added a subscriber: aude.Jun 20 2015, 1:16 PM

I bet this is because we are now using the ContentAlterParserOutput to inject the "language" links instead of ParserAfterParse. (which has some issues)

aude added a comment.Jun 20 2015, 1:19 PM

also i think having language links on special pages is something that we somewhat accidentally introduced with Wikibase :/ I don't think this is something supported in core, except perhaps with MediaWiki:Recentchangestext

Maybe it's time for properly automatic interwikis on special pages?

Bene added a subscriber: Bene.Jun 21 2015, 11:06 AM

Maybe it's time for properly automatic interwikis on special pages?

This should be done in core then I think.

Is this issue going to take a long time to get fixed? In the meantime, should we re-add the interwiki links in Mediawiki:Recentchangestext?

Candalua, sure you/we can.
Personally I would wait for the patch, because I can't belive that such minor fix cannot be quickly fixed by someone.

In case someone has time and knowledge: What would really speed this up is getting someone to figure out which change actually caused them to be removed.

In case someone has time and knowledge: What would really speed this up is getting someone to figure out which change actually caused them to be removed.

I don't have Wikibase installed but, as @aude wrote, the ContentAlterParserOutput hook does not work on special pages, unlike ParserAfterParse.
So https://gerrit.wikimedia.org/r/212273 seems to be the 'breaking' change.

So which way do we go? Do we change the hook to also work on special pages?

So which way do we go? Do we change the hook to also work on special pages?

Yes, at least for Special:RecentChanges.

He7d3r added a subscriber: He7d3r.Jun 27 2015, 5:59 PM

So which way do we go? Do we change the hook to also work on special pages?

Yes, at least for Special:RecentChanges.

Why such a special case just to fix a workaround?

Why such a special case just to fix a workaround?

I'm not sure what you're asking.

As I understand it, users really want Special:RecentChanges specifically to have interwiki links. I think this is a reasonable request. I don't know if users similarly want interwiki links on every other Special page (e.g., Special:BlankPage or Special:SpecialPages or Special:ListGroupRights or whatever). My sense is that the value of having interwiki links on Special pages other than RecentChanges would be lower.

He7d3r added a comment.EditedJun 28 2015, 1:43 AM

Well, I do use interwiki links on Special:Watchlist, but I have to add them through a user script, because Wikidata users decided not to have an item for each special page :(
https://www.wikidata.org/wiki/Wikidata:Requests_for_comment/Inclusion_of_non-article_pages_2#Excluding_Special_pages

Elitre added a subscriber: Elitre.Jun 28 2015, 3:28 PM

Ok just making this work for Recent Changes seems very silly. We also cannot re.break Wikibase to make it work again the same hacky way it did before. So for a quick fix I think you'll need to add it to the user script just like the other special pages. And in the meantime we will evaluate options how to fix this properly.

So when can we expect Recent Changes to work properly again?

I have the same question of Palnatoke. This, apparently quite easy to solve bug, is open since June.

As I said it is best to for now add it to the user script like the other special pages.

Bene added a comment.Aug 9 2015, 4:37 PM

Will this make it into MediaWiki core or should a new extension (eg. SpecialPageInterwikiLinks) be created?

He7d3r added a comment.Aug 9 2015, 4:59 PM

Whatever is used for this should probably be used for T30604: Show interlanguage links on associated talk pages too too.

Jonas renamed this task from Recent changes pages doesn't have anymore the interlingual wikilinks on the sidebar on some projects to [Bug] Recent changes pages doesn't have anymore the interlingual wikilinks on the sidebar on some projects.Nov 2 2015, 3:23 PM
Jonas added a project: Regression.
Candalua added a comment.EditedAug 4 2017, 8:01 AM

Since today, even the hard-coded interwikis are not displayed anymore. I can see them on https://it.wikisource.org/wiki/MediaWiki:Recentchangestext, but not on https://it.wikisource.org/wiki/Special:Recentchanges.
This behaviour has also been reported on T172461.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 4 2017, 8:01 AM

@Lydia_Pintscher I can't understand whether this is a Wikidata bug or what. If this isn't a real bug, then clearly the workaround hasn't been clearly communicated?

The new problem is being solved in T172461 it seems.

The old problem: Still needs someone to fix it but can be worked around by adding old-style interwiki links to MediaWiki:Recentchanges-summary‎.

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 9 2018, 9:52 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald Transcript